Get Domains
Description
list all domains in the organization
Request
GET /v1/domains
Response
Successful response contains the following JSON formated body:
string[]
Response Status codes:
- 200 on success
Request headers
This request must have the following headers:
Authorization: bearer <ApiKey>X-Nabto-Organization: <organizationId>
Request Query Parameters
This request supports the following query parameters:
asAdminIf set, lists domains across organizations. (Only available to admins)domainFilterOnly return domains matching this filter. (Only available withasAdmin)showDeletedIf set, includes deleted domains. (Only available withasAdmin)
Example
Request
curl "https://api.cloud.nabto.com/v1/domains" \
-H "Authorization: Bearer <ApiKey>" \
-H "X-Nabto-Organization: <OrganizationId>"
Response
["mydomain.example.net",
...]